import 'package:flutter/material.dart';
import 'package:initial_folder/size_config.dart';
import 'package:initial_folder/theme.dart';
import 'package:styled_text/styled_text.dart';

class InternetBankBNI extends StatelessWidget {
  final TextStyle baris = thirdTextStyle.copyWith(
    fontWeight: reguler,
    fontSize: getProportionateScreenWidth(14),
    letterSpacing: 0.5,
  );
  @override
  Widget build(BuildContext context) {
    return Padding(
      padding:
          EdgeInsets.symmetric(horizontal: getProportionateScreenWidth(12)),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          StyledText(
            // text: '1. Open the <bold>BNI Mobile Banking</bold> app and login',
            text: '1. Masuk ke https://ibank.bni.co.id',
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '2. Choose menu <bold>Transfer</bold>',
            text: '2. Masukkan User ID dan Password',
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '3. Choose menu <bold>Virtual Account Billing</bold>',
            text:
                "3. Pilih menu \"Transfer\", lalu pilih \"Tambah Rekening Favorit\". Jika menggunakan Desktop. tambah rekening pada menu \"Transaksi\" kemudian \"Atur Rekening Tujuan\" lalu pilih \"Tambah Rekening Tujuan\" ",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '4. Choose the bank account you want to use',
            text: "4. Masukkan nomor Virtual Account",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '5. Enter the 16 digits <bold>virtual account number</bold>',
            text:
                "5. Masukkan Kode Otentikasi dan Nomor Rekening berhasil ditambahkan",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            text:
                // '6. The billing information will appear on the payment validation page',
                "6. Pilih menu \"Transfer\", lalu pilih \"Transfer Antar Rekening BNI\", pilih \"Rekening Tujuan\" ",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            text:
                // '7. If the information is correct, enter your password to proceed the payment',
                "7. Pilih Rekening Debit",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '8. Your transaction will be processed',
            text: "8. Masukkan jumlah pembayaran sesuai tagihan",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '8. Your transaction will be processed',
            text: "9. Masukkan Kode Otentikasi",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          SizedBox(height: getProportionateScreenHeight(10)),
        ],
      ),
    );
  }
}

class InternetBankBCA extends StatelessWidget {
  final TextStyle baris = thirdTextStyle.copyWith(
    fontWeight: reguler,
    fontSize: getProportionateScreenWidth(14),
    letterSpacing: 0.5,
  );
  @override
  Widget build(BuildContext context) {
    return Padding(
      padding:
          EdgeInsets.symmetric(horizontal: getProportionateScreenWidth(12)),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          StyledText(
            // text: '1. Open the <bold>BNI Mobile Banking</bold> app and login',
            text: '1. Login pada aplikasi KlikBCA, masukkan user ID & PIN.',
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '2. Choose menu <bold>Transfer</bold>',
            text:
                "2. Pilih \"Transfer Dana\", kemudian pilih \"Transfer ke BCA Virtual Account\" ",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '3. Choose menu <bold>Virtual Account Billing</bold>',
            text: "3. Masukkan no. BCA Virtual Account & klik \"Lanjutkan\" ",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '4. Choose the bank account you want to use',
            text:
                "4. Pastikan data yang dimasukkan sudah benar, dan Input \"Respon KeyBCA\", lalu klik \"Kirim\" ",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          SizedBox(height: getProportionateScreenHeight(10)),
        ],
      ),
    );
  }
}

class InternetBankMandiri extends StatelessWidget {
  final TextStyle baris = thirdTextStyle.copyWith(
    fontWeight: reguler,
    fontSize: getProportionateScreenWidth(14),
    letterSpacing: 0.5,
  );
  @override
  Widget build(BuildContext context) {
    return Padding(
      padding:
          EdgeInsets.symmetric(horizontal: getProportionateScreenWidth(12)),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          StyledText(
            // text: '1. Open the <bold>BNI Mobile Banking</bold> app and login',
            text: '1. Lakukan Login ke Internet Banking Mandiri kamu.',
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '2. Choose menu <bold>Transfer</bold>',
            text:
                "2. Pada menu utama, pilih menu \"Bayar\" lalu pilih menu \"Multi Payment\" ",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '3. Choose menu <bold>Virtual Account Billing</bold>',
            text:
                "3. Pilih akun anda di bagian Dari Rekening, kemudian di Penyedia Jasa ",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '4. Choose the bank account you want to use',
            text:
                "4. Masukkan kode pembayaran (kode pembayaran Mandiri billpayment kamu), dan klik \"Lanjutkan\" ",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '4. Choose the bank account you want to use',
            text:
                "5. Periksa kembali nama perusahaan, nomor pesanan, dan jumlah pembayaran anda ",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '4. Choose the bank account you want to use',
            text: "6. Selesaikan pembayaran dengan menggunakan Token Mandiri ",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          SizedBox(height: getProportionateScreenHeight(10)),
        ],
      ),
    );
  }
}

class InternetBankPermata extends StatelessWidget {
  final TextStyle baris = thirdTextStyle.copyWith(
    fontWeight: reguler,
    fontSize: getProportionateScreenWidth(14),
    letterSpacing: 0.5,
  );
  @override
  Widget build(BuildContext context) {
    return Padding(
      padding:
          EdgeInsets.symmetric(horizontal: getProportionateScreenWidth(12)),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          StyledText(
            // text: '1. Open the <bold>BNI Mobile Banking</bold> app and login',
            text: '1. Buka Website PermataNet',
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '2. Choose menu <bold>Transfer</bold>',
            text: "2. Masukan User ID dan Password ",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '3. Choose menu <bold>Virtual Account Billing</bold>',
            text: "3. Pilih Pembayaran Tagihan ",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '4. Choose the bank account you want to use',
            text: "4. Pilih Virtual Account ",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '4. Choose the bank account you want to use',
            text: "5. Masukkan 16 digit kode bayar ",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '4. Choose the bank account you want to use',
            text: "6. Masukkan nominal pembayaran ",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '4. Choose the bank account you want to use',
            text: "7. Muncul konfirmasi pembayaran ",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '4. Choose the bank account you want to use',
            text: "8. Masukan Mobile PIN",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          SizedBox(height: getProportionateScreenHeight(10)),
        ],
      ),
    );
  }
}
